Package picard.analysis

# Class CollectUmiPrevalenceMetrics

java.lang.Object
picard.cmdline.CommandLineProgram
picard.analysis.CollectUmiPrevalenceMetrics

@DocumentedFeature @ExperimentalFeature public class CollectUmiPrevalenceMetrics extends CommandLineProgram
A CLP that, tallies the number of UMIs in a duplicate set across the entire bam and produces a histogram.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`BARCODE_BQ`
`String`
`BARCODE_TAG`
`boolean`
`FILTER_UNPAIRED_READS`
`PicardHtsPath`
`INPUT`
`Integer`
`MINIMUM_BARCODE_BQ`
`Integer`
`MINIMUM_MQ`
`File`
`OUTPUT`
`int`
`PROGRESS_STEP_INTERVAL`

### Fields inherited from class picard.cmdline.CommandLineProgram

`COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, SYNTAX_TRANSITION_URL, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

## Constructor Summary

Constructors
Constructor
Description
`CollectUmiPrevalenceMetrics()`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`doWork()`
Do the work after command line has been parsed.

### Methods inherited from class picard.cmdline.CommandLineProgram

`checkRInstallation, customCommandLineValidation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, requiresReference, setDefaultHeaders, useLegacyParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INPUT

@Argument(shortName="I", doc="Input (indexed) BAM/CRAM file.") public PicardHtsPath INPUT

### OUTPUT

@Argument(shortName="O", doc="Write metrics to this file") public File OUTPUT

### MINIMUM_MQ

@Argument(shortName="MQ", doc="minimal value for the mapping quality of the reads to be used in the estimation.", optional=true, minValue=0.0, maxValue=255.0) public Integer MINIMUM_MQ

### BARCODE_TAG

@Argument(doc="Barcode SAM tag.", optional=true) public String BARCODE_TAG

### BARCODE_BQ

@Argument(doc="Barcode Quality SAM tag.", optional=true) public String BARCODE_BQ

### MINIMUM_BARCODE_BQ

@Argument(shortName="BQ", doc="minimal value for the base quality of all the bases in a molecular barcode, for it to be used.", optional=true, minValue=0.0, maxValue=255.0) public Integer MINIMUM_BARCODE_BQ

### FILTER_UNPAIRED_READS

@Argument(shortName="FUR", doc="Whether to filter unpaired reads from the input.", optional=true) public boolean FILTER_UNPAIRED_READS

### PROGRESS_STEP_INTERVAL

@Argument(fullName="PROGRESS_STEP_INTERVAL", doc="The interval between which progress will be displayed.", optional=true) public int PROGRESS_STEP_INTERVAL

## Constructor Details

### CollectUmiPrevalenceMetrics

public CollectUmiPrevalenceMetrics()

## Method Details

### doWork

protected int doWork()
Description copied from class: `CommandLineProgram`
Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.

Specified by:
  `doWork` in class `CommandLineProgram`
Returns:
  program exit status.